curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/batch'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"transactions": [
{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"movementDate": "2024-12-31T00:00:00Z",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}
],
"driverId": "12345"
}'
[
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"totalAmount": 1234,
"totalAmountWithInterests": 1234,
"status": "accepted",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
},
{
"status": "rejected",
"rejectionReasons": [
"INSUFFICIENT_CREDIT"
],
"wholesalerTransactionId": "123413123123",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
}
]
Transaction
Create multiple transactions by batch
Creates multiple transactions
POST
/
transaction
/
batch
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/batch'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"transactions": [
{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"movementDate": "2024-12-31T00:00:00Z",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}
],
"driverId": "12345"
}'
[
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"totalAmount": 1234,
"totalAmountWithInterests": 1234,
"status": "accepted",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
},
{
"status": "rejected",
"rejectionReasons": [
"INSUFFICIENT_CREDIT"
],
"wholesalerTransactionId": "123413123123",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
}
]
When you call this endpoint, we internally perform several validations, including checking the transaction amount, the customer’s status, and their available credit.
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/batch'
--header 'Authorization: <your_awesome_token>'
--header 'Content-Type: application/json'
--data '{
"transactions": [
{
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8",
"movementDate": "2024-12-31T00:00:00Z",
"totalAmount": 1234,
"wholesalerTransactionId": "123413123123",
"deliveryDate": "2024-12-31",
"products": [
{
"externalSKU": "7501018310103",
"name": "Pasta Spaghetti La Moderna - Moderna - Paquete 200 g",
"quantity": 5
}
],
"metadata": {}
}
],
"driverId": "12345"
}'
[
{
"incrementalID": 999,
"transactionId": "13e8b9f0-b73f-4498-a245-05aaae7893dc",
"totalAmount": 1234,
"totalAmountWithInterests": 1234,
"status": "accepted",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
},
{
"status": "rejected",
"rejectionReasons": [
"INSUFFICIENT_CREDIT"
],
"wholesalerTransactionId": "123413123123",
"cornerStoreId": "57b9d911-1c6e-45c0-be98-bfaeec8d9cf8"
}
]
Body
array
required
string
required
Driver id
Response
number
Propaga’s incremental numeric id
string
Propaga’s transaction id
number
Total amount of the order
number
Total amount of the order with interests
string
Transaction status batch (accepted, rejected)
string
Propaga’s corner store id
string[]
Reasons for rejection
Was this page helpful?

